<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\DB;

return new class extends Migration
{
    public function up(): void
    {
        DB::statement("ALTER TABLE pricing_plans MODIFY COLUMN period ENUM('1month','3months','6months','1year') DEFAULT '1month'");
    }

    public function down(): void
    {
        DB::statement("ALTER TABLE pricing_plans MODIFY COLUMN period ENUM('monthly','annually') DEFAULT 'monthly'");
    }
};
